[project]
name = "layercake"
version = "0.1.8"
description = "Add your description here"
readme = "README.md"
authors = [
    { name = "Sérgio Rafael Siqueira", email = "sergio@somosbeta.com.br" },
]
requires-python = ">=3.12"
dependencies = [
    "aws-lambda-powertools[all]>=3.8.0",
    "boto3>=1.37.16",
    "elasticsearch>=8.17.2",
    "elasticsearch-dsl>=8.17.1",
    "ftfy>=6.3.1",
    "glom>=24.11.0",
    "orjson>=3.10.15",
    "pycpfcnpj>=1.8",
    "pydantic[email]>=2.10.6",
    "pydantic-extra-types>=2.10.3",
    "pytz>=2025.1",
    "shortuuid>=1.0.13",
    "requests>=2.32.3",
]

[dependency-groups]
dev = [
    "mkdocstrings[python]>=0.29.0",
    "pytest>=8.3.5",
    "pytest-cov>=6.0.0",
    "pytest-env>=1.1.5",
    "ruff>=0.11.1",
]

[tool.pytest.ini_options]
addopts = "--cov --cov-report html -v"

[tool.ruff.format]
quote-style = "single"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"
